This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### rotate()
Examples |
    PVector v;

    void setup() {
      v = new PVector(10.0, 20.0);
      println(v);  // Prints "[ 10.0, 20.0, 0.0 ]"
      v.rotate(HALF_PI);
      println(v);  // Prints "[ -20.0, 9.999999, 0.0 ]"
    }
Description | Rotates a vector by the specified angle (2D vectors only), while maintaining the same magnitude.
Syntax |
    .rotate(theta)
Parameters |
theta | float: the angle of rotation
Returns | void

Updated on October 26, 2013 08:58:33pm PDT